repo/gentoo:master commit in: dev-python/django-debug-toolbar/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786777645.042fe4a858c0654580d90d13b7bc8928e8fa5ed8.mgorny@gentoo> |
commit: 042fe4a858c0654580d90d13b7bc8928e8fa5ed8
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 05:41:00 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 07:07:25 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=042fe4a8
dev-python/django-debug-toolbar: Bump to 7.1.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/django-debug-toolbar/Manifest | 2 +
.../django-debug-toolbar-7.1.1.ebuild | 46 ++++++++++++++++++++++
2 files changed, 48 insertions(+)
diff --git a/dev-python/django-debug-toolbar/Manifest b/dev-python/django-debug-toolbar/Manifest
index bf209a8842ce..bab607cfe40e 100644
--- a/dev-python/django-debug-toolbar/Manifest
+++ b/dev-python/django-debug-toolbar/Manifest
@@ -1,2 +1,4 @@
DIST django_debug_toolbar-7.1.0.tar.gz 363278 BLAKE2B 529194b2c1178e1a63c6e88a885daee91fd0e17687259e663d73a1a699325da287b1ec0fe1acd5d94ed0d80d1a93676e65f0fa884118d668e9c0efe6e5a8e459 SHA512 dc950d7d7addd2f0bd625e7cca7f2cb8cfdfe091ab3f07661845c0ea5597193e81c9c872ea16d399ba08e560aeace88fb7de531502baba98da017ba409818b5e
DIST django_debug_toolbar-7.1.0.tar.gz.provenance 10334 BLAKE2B ad6a340b8f8b3dd7f329613b361e4763d35514b546b1fe675d4d3190132d2da71d3a20b10c8eeeac6bfe83db2ff86c3aadd7da651663b944a4385dd11300b949 SHA512 4d09c42c539e555a92e8903f01c4e3e6f61a64d25b540fcdea329b9885800900aed315cc2120df65ba14104f9efefe884035845cc6ec3d934ada3a4b02057407
+DIST django_debug_toolbar-7.1.1.tar.gz 363531 BLAKE2B 8bb95cb3fee6249be5097e5431fda74db148ec8cf5c204bcd92c5461f6ffb1b91a5f69c4344af616e4e366f63a9823d5b32e73e40a57bebf9706b35db2f440f7 SHA512 ba69f482f96d2a492c5e1ec06f39f51745b93e486c179882f51c986964f7de83edd3731d877657a3396dd330e3fde42cf47bf5550d18285c85abfd55b063b982
+DIST django_debug_toolbar-7.1.1.tar.gz.provenance 10477 BLAKE2B 4b3179945196235ba103fd4ced53398f075df62cfeb792fadb751ef11be321f33bffcf9e02d617f80bfe3363629b41bf2c095018218053f10a41a2dc80ad6868 SHA512 51a8d5f751297c2648a0d201724d9dfb3a40298fec4ee9bc36503eadd362ab798e80666b1ab514e5dcec36348d82efd52b9d7e5da6f90b798635b6ca67535b1a
diff --git a/dev-python/django-debug-toolbar/django-debug-toolbar-7.1.1.ebuild b/dev-python/django-debug-toolbar/django-debug-toolbar-7.1.1.ebuild
new file mode 100644
index 000000000000..58fcbac6f7e2
--- /dev/null
+++ b/dev-python/django-debug-toolbar/django-debug-toolbar-7.1.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/django-commons/django-debug-toolbar
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A configurable set of panels that display various debug information"
+HOMEPAGE="
+ https://github.com/django-commons/django-debug-toolbar/
+ https://pypi.org/project/django-debug-toolbar/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-5.2[${PYTHON_USEDEP}]
+ elibc_musl? ( dev-python/tzdata )
+"
+
+BDEPEND="
+ test? (
+ dev-python/django-template-partials[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ )
+"
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # requires django-csp
+ rm tests/test_csp_rendering.py || die
+}
+
+python_test() {
+ "${EPYTHON}" -m django test -v 2 --settings tests.settings tests \
+ || die "Tests failed with ${EPYTHON}"
+}